Subject: Re: linux-next: build failure after merge of the net-next tree

From: Nikolay Aleksandrov <[email-masked]>
Date: Mon, 13 Jul 2020 10:29:13 +0300

On 13/07/2020 04:54, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the net-next tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> net/bridge/br_netlink_tunnel.c: In function '__vlan_tunnel_handle_range':
> net/bridge/br_netlink_tunnel.c:271:26: error: implicit declaration of function 'br_vlan_can_enter_range'; did you mean 'br_vlan_valid_range'? [-Werror=implicit-function-declaration]
>   271 |  if (v && curr_change && br_vlan_can_enter_range(v, *v_end)) {
>       |                          ^~~~~~~~~~~~~~~~~~~~~~~
>       |                          br_vlan_valid_range
> 
> Caused by commit
> 
>   94339443686b ("net: bridge: notify on vlan tunnel changes done via the old api")
> 
> CONFIG_BRIDGE_VLAN_FILTERING is not set for this build.
> 
> I have reverted that commit for today.
> 

Oops, sorry that's my bad. I mixed br_netlink_tunnel with br_vlan_tunnel, the latter is compiled only
when bridge vlan filtering is defined.

Anyway, I'll post a fix ASAP.

Thanks.